curl --request GET \
--url https://api.baselayer.com/prefill/businesses \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/prefill/businesses"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/prefill/businesses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "Garcia, Hernandez and Woods",
"state": "AZ",
"file_number": "867124",
"similarity_score": 123,
"issue_date": "2024-01-01",
"primary_address": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"street": "913 Hendrix Gardens Suite 492",
"city": "Jasonfurt",
"state": "VA",
"zip": "19773",
"latitude": 38.03012,
"longitude": 78.47665,
"rdi": "Commercial",
"deliverable": false,
"cmra": false,
"url": "<string>",
"delivery_type": "STREET"
},
"officers": [
"Tyler Johnson",
"John Doe"
],
"alternative_names": [],
"business_name_match": "EXACT"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Business Prefill
Prefill businesses by searching officer names. Business name is optional and used only for matching comparison in the response.
Authorizations
Query Parameters
Officer name to search
Business name to use for matching comparison (not used for searching)
Similarity threshold for the search (0.0 to 1.0). Defaults to 0.9.
0.5 <= x <= 1Maximum number of results to return
1 <= x <= 50Response
Successful Response
The name of the registration.
"Garcia, Hernandez and Woods"
The state in which the registration was filed.
AL, AK, AZ, AR, CA, CO, CT, DE, DC, FL, GA, HI, ID, IL, IN, IA, KS, KY, LA, ME, MD, MA, MI, MN, MS, MO, MT, NE, NV, NH, NJ, NM, NY, NC, ND, OH, OK, OR, PA, RI, SC, SD, TN, TX, UT, VT, VA, WA, WV, WI, WY, PR, VI, AE, AA, AP, GU, AS "AZ"
The filing number of the registration.
"867124"
The similarity score of the registration.
The date the registration was issued.
"2024-01-01"
The primary address of the registration, if available.
Show child attributes
Show child attributes
The officers associated with the registration.
["Tyler Johnson", "John Doe"]
The alternative names associated with the registration.
The match type between the input business name and the registration name.
NO_MATCH, SIMILAR, EXACT "EXACT"